Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaVolumeTextureMapper2D Class Reference

`#include <vtkMesaVolumeTextureMapper2D.h>`

Inheritance diagram for vtkMesaVolumeTextureMapper2D:

[legend]
Collaboration diagram for vtkMesaVolumeTextureMapper2D:

[legend]
List of all members.

## Detailed Description

Abstract class for a volume mapper.

Date:
  2002/08/22 18:39:30

Revision:
  1.16

vtkMesaVolumeTextureMapper2D renders a volume using 2D texture mapping.

See also:
  vtkVolumeMapper

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (56%)
  - Hoffman, Bill (29%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkMesaVolumeTextureMapper2D.h)`
  - .`cxx` (`/Rendering/vtkMesaVolumeTextureMapper2D.cxx)`

Definition at line 46 of file vtkMesaVolumeTextureMapper2D.h.

## Public Types

typedef vtkVolumeTextureMapper2D | Superclass

## Public Methods

virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (vtkRenderer *ren, vtkVolume *vol)
void | RenderQuads (int count, float *v, float *t, unsigned char *texture, int size[2], int reverseFlag)

## Static Public Methods

int | IsTypeOf (const char *type)
vtkMesaVolumeTextureMapper2D * | SafeDownCast (vtkObject *o)
vtkMesaVolumeTextureMapper2D * | New ()

## Protected Methods

| vtkMesaVolumeTextureMapper2D ()
| ~vtkMesaVolumeTextureMapper2D ()

## Member Typedef Documentation

typedef vtkVolumeTextureMapper2D vtkMesaVolumeTextureMapper2D::Superclass

| Reimplemented from vtkVolumeTextureMapper2D. Definition at line 49 of file vtkMesaVolumeTextureMapper2D.h.

## Constructor & Destructor Documentation

vtkMesaVolumeTextureMapper2D::vtkMesaVolumeTextureMapper2D | ( |  | ) | `[protected]`

vtkMesaVolumeTextureMapper2D::~vtkMesaVolumeTextureMapper2D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkMesaVolumeTextureMapper2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeTextureMapper2D.

int vtkMesaVolumeTextureMapper2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeTextureMapper2D.

virtual int vtkMesaVolumeTextureMapper2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeTextureMapper2D.

vtkMesaVolumeTextureMapper2D* vtkMesaVolumeTextureMapper2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeTextureMapper2D.

void vtkMesaVolumeTextureMapper2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeTextureMapper2D.

vtkMesaVolumeTextureMapper2D* vtkMesaVolumeTextureMapper2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkVolumeTextureMapper2D.

virtual void vtkMesaVolumeTextureMapper2D::Render | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Render the volume Reimplemented from vtkVolumeTextureMapper2D.

void vtkMesaVolumeTextureMapper2D::RenderQuads | ( | int | count,
|  | float * | v,
|  | float * | t,
|  | unsigned char * | texture,
|  | int | size[2],
|  | int | reverseFlag
| ) |

The documentation for this class was generated from the following file:

- Rendering/vtkMesaVolumeTextureMapper2D.h